Manage participants
curl --request POST \
--url https://api.zapfy.io/v1/groups/participants \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "120363012345678901",
"participants": [
"5511988887777"
]
}
'import requests
url = "https://api.zapfy.io/v1/groups/participants"
payload = {
"id": "120363012345678901",
"participants": ["5511988887777"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '120363012345678901', participants: ['5511988887777']})
};
fetch('https://api.zapfy.io/v1/groups/participants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"success": true
}
}{
"error": "Instance not found"
}{
"error": "Instance not found"
}{
"error": "Instance not found"
}{
"error": "Instance not found"
}Groups
Manage participants
Adds, removes, promotes to admin or demotes participants. add/remove change membership; promote/demote, the admin role.
POST
/
groups
/
participants
Manage participants
Authorizations
Instance token (zpfy_inst_...) — sends messages.
Body
application/json
the group id (returned by GET /groups).
Example:
"120363012345678901"
Participants to add, remove or promote (phones in E.164).
Minimum array length:
1Recipient: a phone in E.164 (with or without +, spaces or formatting, e.g. 5511999998888 or +55 11 99999-8888) or a group id. To send to a group, use the group id (from GET /groups).
Example:
["5511988887777"]
ADD/REMOVE = membership; PROMOTE/DEMOTE = admin role.
Available options:
ADD, REMOVE, PROMOTE, DEMOTE Response
Action performed.
Show child attributes
Show child attributes
⌘I